local frame = CreateFrame("Frame")
local QuestItemKeybound = LibStub("AceAddon-3.0"):NewAddon(frame, "QuestItemKeybound", "AceEvent-3.0")

local LQI = LibStub("LibQuestItem-1.0", true)

--SETTINGS
local keyToBind = "ALT-Q"
local displayChatMessage = true
--SETTINGS

local spellBound

function QuestItemKeybound:OnEnable()
	self:RegisterEvent("UNIT_SPELLCAST_SUCCEEDED")
end

function QuestItemKeybound:UNIT_SPELLCAST_SUCCEEDED(_, unitID, spell)
	if unitID and unitID == "player" and spell ~= spellBound then
		local spellItem = LQI.questItemSpells[spell]
		if spellItem then
			local itemName = GetItemInfo(spellItem) 
			SetOverrideBindingItem(self, true, keyToBind, itemName)
			spellBound = spell
			if displayChatMessage then
				print("QuestItemKeyBound: Bind item "..itemName.." to key "..keyToBind..".")
			end
		end
	end
end